datablock ItemData(MicrophoneItem) {
	category = "Weapon";
	className = "Weapon";

	shapeFile = "./models/microphone.dts";
	emap = true;

	uiName = "Microphone";
	iconName = "./icon_microphone";

	image = MicrophoneImage;
	canDrop = true;

	friction = 0.599218;
};

datablock ShapeBaseImageData(MicrophoneImage) {
	className = "WeaponImage";
	shapeFile = "./models/microphone.dts";
	item = MicrophoneItem;
	emap = true;

	mountPoint = 0;

	offset = "0 0 0";
	eyeOffset = "0.4 1 -0.8";

  // This is used by the instruments mod to determine what sounds to use
  // It's also used to check if an image is even an instrument to begin with
	instrumentType = "Microphone";

	// Normally I'd do a colorShift here but I stole the model from another add-on

	stateName[0]                     = "Activate";
	stateTimeoutValue[0]             = 0.15;
	stateTransitionOnTimeout[0]       = "Ready";
	stateSound[0]					= weaponSwitchSound;

	stateName[1]                     = "Ready";
	stateTransitionOnTriggerDown[1]  = "Play";
	stateAllowImageChange[1]         = true;
	stateSequence[1]	= "Ready";

	stateName[2]                    = "Play";
	stateTransitionOnTimeout[2]     = "PostPlay";
	stateTimeoutValue[2]            = 0.14;
	stateFire[2]                    = true;
	stateAllowImageChange[2]        = false;
	stateScript[2]                  = "onPlay";
	stateWaitForTimeout[2]			= true;
	stateEmitterTime[2]				= 0.05;

	stateName[3] = "PostPlay";
	stateEmitterTime[3]				= 0.05;
	stateEmitterNode[3]				= "muzzleNode";
	stateTimeoutValue[3]            = 0.01;
	stateTransitionOnTimeout[3]     = "Reload";

	stateName[4]			= "Reload";
	stateSequence[4]                = "Reload";
	stateTransitionOnTriggerUp[4]     = "Ready";
	stateSequence[4]	= "Ready";
};

// ------------------------------------------------------------------------------

function MicrophoneImage::onMount(%this, %obj, %slot) {
	Parent::onMount(%this, %obj, %slot);
	%obj.playThread(2, armReadyRight);
}

function MicrophoneImage::onUnmount(%this, %obj, %slot) {
	Parent::onUnmount(%this, %obj, %slot);
	%obj.playThread(2, root);
}

// ------------------------------------------------------------------------------

function MicrophoneImage::onPlay(%this, %obj, %pos) {
	// callback
}
